﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Telerik.XamarinForms.Input;
using Xamarin.Forms;

namespace App1
{
	public class App : Application
	{
		Label lbl = new Label();
		public App()
		{
			RadCalendar cal = new RadCalendar() { HeightRequest = 400 };
			cal.SelectionChanged += cal_SelectionChanged;
			// The root page of your application
			MainPage = new ContentPage
			{
				Content = new StackLayout
				{
					VerticalOptions = LayoutOptions.Start,
					Children = {
						cal, lbl
						}
				}
			};
		}

		void cal_SelectionChanged(object sender, Telerik.XamarinForms.Common.ValueChangedEventArgs<object> e)
		{
			lbl.Text = (sender as RadCalendar).SelectedDate.ToString();
		}


		protected override void OnStart()
		{
			// Handle when your app starts
		}

		protected override void OnSleep()
		{
			// Handle when your app sleeps
		}

		protected override void OnResume()
		{
			// Handle when your app resumes
		}
	}
}
